%define upstream_name    asterisk-perl
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1
Summary:    Asterisk modules for perl
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/J/JA/JAMESGOL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Socket)
BuildArch:  noarch

%description
perl-%{name} are modules for interfacing with the Asterisk open
source pbx system.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 examples/*

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor < /dev/null
%make

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog

* Tue Dec 13 2011 jquelin <jquelin> 1.30.0-1.mga2
+ Revision: 181143
- update to 1.03

* Thu Dec 08 2011 kharec <kharec> 1.20.0-1.mga2
+ Revision: 179063
- update to 1.02

* Sat Jun 11 2011 spuhler <spuhler> 1.10.0-2.mga2
+ Revision: 104056
- increase rel for rebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.10.0-1.mga1
+ Revision: 27363
- mageia rebuild
- imported package perl-asterisk-perl


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.10.0-1mdv2011.0
+ Revision: 603052
- normalize version

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.01-1mdv2011.0
+ Revision: 389773
- update to new version 1.01

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.10-3mdv2009.0
+ Revision: 241150
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.10-1mdv2008.0
+ Revision: 63919
- update to new version 0.10

* Sun Apr 29 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.09-1mdv2008.0
+ Revision: 19247
-New version


* Tue Dec 19 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-3mdv2007.0
+ Revision: 99240
- Import perl-asterisk-perl

* Wed Feb 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.08-3mdk
- rebuild

* Sun Jan 08 2006 Oden Eriksson <oeriksson@mandriva.com> 0.08-2mdk
- rebuild

* Sun Dec 26 2004 Oden Eriksson <oden.eriksson@linux-mandrake.com> 0.08-1mdk
- initial mandrake package

